#
# spec file for package perl-Gearman (Version 1.11)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Gearman
Version:        1.11
Release:        1.2
License:        GPL or Artistic
%define cpan_name Gearman
Summary:        Gearman Perl module
Url:            http://search.cpan.org/dist/Gearman/
Group:          Development/Libraries/Perl
Source:         %{cpan_name}-%{version}.tar.gz
BuildRequires:  perl(String::CRC32)
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl(String::CRC32)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
Gearman distributed job system, providing a framework for sending jobs to one
or more Gearman servers. These jobs are then distributed out to a farm of
workers.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc CHANGES HACKING TODO

%changelog
* Mon May 30 2011 lars@linux-schulserver.de
- initial package 1.11
  * created by cpanspec 1.78.03
